modd.test.conf {}

dist/initrd dist/cpiocat dist/testconf test-initrd/**/* {
    prep: dist/testconf test-initrd/config.yaml
    prep: cp -f dist/initrd test-initrd.cpio
    prep: cd test-initrd && cat ../dist/initrd | ../dist/cpiocat * |lz4 -l9v >../test-initrd.cpio.new
    prep: mv test-initrd.cpio.new test-initrd.cpio
    prep: if lz4cat test-initrd.cpio | cpio -t 2>&1 |grep bytes.of.junk; then echo "bad cpio archive"; exit 1; fi
    prep: kill $(<qemu.pid)
}
